// FILENAME:	DM_Garrison_Main.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Garrison_Main";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = 1001;
$server::HudMapViewOffsetY = -3792;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionLoad(){
   cdAudioCycle("Yougot", "SS3", "SS1"); 
}

function onMissionStart(){
	temperateSounds();
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function eman::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "The original design for the Emancipator. The Rebellion reconstructed it to a smaller chassis as a countermeasure for its lack of fire power. Giving it more speed, acceleration and maneuverability. Most of the older models were melted or scraped."); 
} 

function goad::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "The Champion Goad is the best vehicle of its class. The only small vehicle with 4 weapon mounts 2 of wich are capable of medium weapons. Only 5 tons heavier than the original Goad. This Goad sustains its maneuvering with a slight decline in speed."); 
} 