// FILENAME:	DM_Mars_Summer.cs
//
// AUTHOR:  	Raxon
//------------------------------------------------------------------------------

$missionName = "DM_Mars_Summer";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$server::HudMapViewOffsetX = 62;
$server::HudMapViewOffsetY = 7912;

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}
function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

function player::onAdd(%player) 
{ 
   say(%player, 0, "<f5><jc>Welcome to TDM Advanced Warforms."); 
} 

function shep::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Created by Heretics then siezed by Prometheus after destroying the Heretics. Cybrids could not operate the King Shepherd due to transferable corruption. Cloned manufacturing did begin, but never made it to the battlefield. Good thing huh?"); 
} 

function shep2::structure::onScan(%scanned, %scanner) 
{ 
   %player = playerManager::vehicleIdToPlayerNum(%scanner); 
   messageBox(%player, "Top Speed-110kph, Acceleration-14.0, Max Mass-60 tons, Large Engine mountable and 2 large weapon mounts."); 
} 